#!/bin/bash
if cd "$DOS_BUILD_BASE""kernel/lge/hammerhead"; then
git apply $DOS_PATCHES_LINUX_CVES/0001-LinuxIncrementals/3.4/3.4.0002-0003.patch --exclude=Makefile
git apply $DOS_PATCHES_LINUX_CVES/0001-LinuxIncrementals/3.4/3.4.0046-0047.patch --exclude=Makefile
git apply $DOS_PATCHES_LINUX_CVES/0001-LinuxIncrementals/3.4/3.4.0089-0090.patch --exclude=Makefile
git apply $DOS_PATCHES_LINUX_CVES/0002-Misc_Fixes/3.4/0008.patch
git apply $DOS_PATCHES_LINUX_CVES/0002-Misc_Fixes/ANY/0005.patch
git apply $DOS_PATCHES_LINUX_CVES/0002-Misc_Fixes/ANY/0007.patch
git apply $DOS_PATCHES_LINUX_CVES/0003-syzkaller-Misc2/ANY/0001.patch
git apply $DOS_PATCHES_LINUX_CVES/0005-AndroidHardening-Deny_USB/3.4/3.4-Backport.patch
git apply $DOS_PATCHES_LINUX_CVES/0006-AndroidHardening-Kernel_Hardening/3.10/0007.patch
#git apply $DOS_PATCHES_LINUX_CVES/0006-AndroidHardening-Kernel_Hardening/3.10/0008.patch
git apply $DOS_PATCHES_LINUX_CVES/0006-AndroidHardening-Kernel_Hardening/3.10/0010.patch
git apply $DOS_PATCHES_LINUX_CVES/0006-AndroidHardening-Kernel_Hardening/3.10/0017.patch
#git apply $DOS_PATCHES_LINUX_CVES/0006-AndroidHardening-Kernel_Hardening/3.18/0043.patch
git apply $DOS_PATCHES_LINUX_CVES/0006-AndroidHardening-Kernel_Hardening/3.18/0046.patch
git apply $DOS_PATCHES_LINUX_CVES/0008-Graphene-Kernel_Hardening-misc/4.4/0016.patch
#git apply $DOS_PATCHES_LINUX_CVES/0008-Graphene-Kernel_Hardening-slub/4.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/0009-rfc4941bis/ANY/0008.patch
git apply $DOS_PATCHES_LINUX_CVES/0090-Unknown/ANY/0001.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2012-2119/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2012-2136/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2012-2137/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2012-2372/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2012-2373/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2012-2390/3.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2012-2390/^3.4/0001.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2012-2669/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2012-3364/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2012-3400/3.4/0005.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2012-3412/3.4/0006.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2012-3412/3.4/0007.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2012-3430/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2012-4461/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2012-4467/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2012-4508/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2012-4530/3.4/0005.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2012-4530/3.4/0006.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2012-4565/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2012-5532/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2012-6537/3.4/0007.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2012-6537/3.4/0008.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2012-6537/3.4/0009.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2012-6538/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2012-6539/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2012-6540/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2012-6541/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2012-6542/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2012-6544/3.4/0007.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2012-6544/3.4/0008.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2012-6544/3.4/0009.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2012-6545/3.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2012-6545/3.4/0005.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2012-6545/3.4/0006.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2012-6546/3.4/0005.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2012-6546/3.4/0006.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2012-6548/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2012-6549/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2012-6647/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-0216/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-0217/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-0228/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-0231/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-0268/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-0290/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-0309/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-0310/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-0311/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-0313/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-0343/3.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-0349/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-0871/3.4/0006.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-0913/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-1059/3.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-1767/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-1774/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-1792/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-1796/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-1797/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-1798/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-1827/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-1848/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-1928/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-1929/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-1979/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-2140/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-2141/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-2146/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-2147/3.4/0007.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-2148/3.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-2164/3.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-2206/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-2232/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-2234/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-2237/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-2546/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-2595/ANY/kernel.msm.git-3d1d825fe450304ce150559a1c5ffba068824629.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-2596-UPSTREAM/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-2596-UPSTREAM/3.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-2634/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-2635/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-2850/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-2851/3.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-2852/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-2897/3.4/0005.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-2897/3.4/0006.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-2899/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-2929/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-2930/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-3076/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-3222/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-3223/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-3224/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-3225/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-3227/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-3228/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-3229/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-3231/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-3233/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-3234/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-3235/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-3301/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-4162/3.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-4299/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-4345/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-4350/3.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-4387/3.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-4470/^3.12/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-4512/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-4513/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-4514/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-4515/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-4579/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-4587/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-4592/3.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-6367/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-6368/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-6378/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-6380/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-6381/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-6382/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-6383/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-6885/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-7027/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-7266/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-7339/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-0055/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-0069/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-0077/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-0101/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-1438/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-1444/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-1445/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-1446/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-2039/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-2309/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-2672/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-2678/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-3122/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-3181/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-3183/3.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-3184/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-3186/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-3534/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-3601/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-3610/3.4/0005.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-3610/3.4/0006.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-3611/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-3645/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-3646/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-3673/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-3687/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-3688/3.10/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-3690/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-3917/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-4171/3.4/0007.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-4171/3.4/0008.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-4171/3.4/0009.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-4508/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-4652/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-4653/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-4656/3.4/0006.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-4667/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-4699/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-5077/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-5471/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-6410/3.10/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-6416/3.4/0005.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-6416/3.4/0006.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-7207/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-7841/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-7842/3.10/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-7975/3.10/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-8133/3.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-8134/3.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-8159/3.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-8369/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-9090/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-9419/3.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-9584/3.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-9585/3.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-9728/3.4/0007.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-9728/3.4/0008.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-9728/3.4/0009.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-9881/ANY/0001.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-9882/ANY/0001.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2014-9882/ANY/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2015-1421/3.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2015-1593/3.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2015-2042/3.10/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2015-2150/3.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2015-2830/3.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2015-2925/3.4/0007.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2015-3212/3.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2015-3290/3.18/0006.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2015-3331/3.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2015-4002/3.4/0007.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2015-4003/3.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2015-4167/3.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2015-4700/3.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2015-5156/3.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2015-5257/3.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2015-5307/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2015-6252/3.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2015-6526/3.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2015-6937/3.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2015-7513/3.18/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2015-7566/3.10/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2015-7613/3.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2015-7799/3.4/0007.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2015-7799/3.4/0008.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2015-7990/3.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2015-8104/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2015-8551/3.4/0011.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2015-8551/3.4/0012.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2015-8551/3.4/0013.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2015-8551/3.4/0014.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2015-8551/3.4/0015.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2015-8569/3.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2015-8746/3.18/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2015-8767/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2015-8812/3.10/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2015-8970/3.10/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2016-2085/3.10/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2016-2543/3.10/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2016-3135/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2016-3157/3.4/0008.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2016-3894/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2016-3907/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2016-3955/3.10/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2016-4485/3.10/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2016-4565/3.10/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2016-4580/3.10/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2016-4913/3.10/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2016-4998/3.10/0007.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2016-4998/3.10/0008.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2016-5244/3.18/0005.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2016-5828/3.10/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2016-5859/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2016-5867/3.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2016-6480/3.10/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2016-7425/3.10/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2016-7916/3.4/0010.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2016-8646/3.4/0007.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2016-8650/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2016-9555/3.4/0008.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2016-9576/3.4/0008.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2016-9604/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2016-10741/3.18/0005.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2016-partial-SMAP-bypass/3.10/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-16USB/ANY/0001.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-16USB/ANY/0005.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-16USB/ANY/0006.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-0463/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-0525/3.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-0607/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-0611/3.4/0001.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-0627/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-0630/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-0630/3.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-0633/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-0710/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-0746/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-0750/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-0751/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-0786/3.4/0007.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-0824/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-0861/3.4/0009.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-0862/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-2636/3.4/0010.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-2671/3.4/0010.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-5549/3.10/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-5669/3.4/0010.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-5986/3.10/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-6345/3.4/0009.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-6348/3.4/0010.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-6353/3.4/0009.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-6951/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-7273/3.10/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-7472/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-7616/3.4/0010.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-7645/3.10/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-7889/3.4/0010.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-8236/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-8246/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-8247/ANY/0001.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-8254/3.4/0001.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-8254/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-8263/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-8281/3.4/0007.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-8824/3.10/0009.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-9074/3.4/0009.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-9074/3.4/0010.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-9242/3.4/0008.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-9684/3.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-9684/3.4/0005.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-9719/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-9725/3.4/0006.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-9984/3.18/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-10661/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-10911/3.18/0007.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-10998/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-11033/3.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-11033/3.4/0005.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-11085/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-11089/ANY/0001.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-11090/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-11176/3.18/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-11473/3.10/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-11600/3.4/0010.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-12153/3.4/0009.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-12762/3.18/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-13166/3.4/0076.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-13167/3.4/0012.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-13167/3.4/0015.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-13168/3.4/0008.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-13216/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-13245/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-13246/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-13305/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-13695/3.18/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-14051/3.10/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-14106/3.10/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-14489/3.18/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-14879/3.4/0005.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-15115/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-15649/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-15850/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-15868/3.4/0012.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-15868/3.4/0013.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-15868/3.4/0014.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-16526/3.18/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-16527/3.4/0009.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-16531/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-16532/3.18/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-16533/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-16535/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-16537/3.18/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-16643/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-16650/3.18/0006.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-16939/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-16994/3.18/0006.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-17450/3.18/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-17769/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-17770/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-17805/3.18/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-17806/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-17807/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-18017/3.10/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-18079/3.18/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-18193/4.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-18216/3.18/0007.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-18241/4.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-18257/4.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-18360/3.18/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-18509/3.4/0006.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-18551/3.18/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-1000111/3.10/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-1000253/3.4/0008.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2017-1000363/3.10/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-1068/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-1068/^4.16/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-1092/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-1130/3.18/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-3561/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-3584/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-5332/3.18/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-5333/3.18/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-5344/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-5390/3.10/0001.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-5390/3.10/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-5750/3.18/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-5803/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-5858/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-7492/3.18/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-7566/3.18/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-7755/3.18/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-7757/3.18/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-8781/3.18/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-8822/3.18/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-9389/3.4/0005.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-9416/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-9439/ANY/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-9465-alt/3.4/0001.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-9465-alt/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-9465-alt/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-9465-alt/3.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-9465-alt/3.4/0005.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-9465-alt/3.4/0006.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-9465-alt/3.4/0007.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-9516/3.4/0001.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-9568/3.4/0001.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-10021/3.18/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-10087/3.18/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-10124/3.18/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-10675/3.18/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-10877/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-10877/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-10879/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-10879/3.4/0005.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-10880/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-10882/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-10940/3.18/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-11506/3.18/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-11832/ANY/0001.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-11939/3.4/0001.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-12233/3.18/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-13053/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-13405/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-13900/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-13919/3.4/0001.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-14614/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-14634/3.4/0001.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-15594/3.18/0005.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-16276/3.18/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-16658/3.18/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-16885/3.4/0002.patch
#git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-17972/3.18/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-18710/3.18/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-19824/3.10/0008.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-19985/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-20169/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-20511/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-1000199/3.4/0001.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-1000199/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2018-1000204/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-2001/3.4/0001.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-2054/ANY/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-2101/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-2215/3.4/0012.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-2324/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-2331/3.4/0001.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-2333/3.4/0001.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-2333/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-3459/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-3460/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-3701/3.18/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-3837/^3.13/0001.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-3846/3.18/0005.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-3896/3.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-7222/3.18/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-8912/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-9456/3.4/0001.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-9456/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-10142/3.18/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-10580/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-10607/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-10622/ANY/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-10638/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-11477/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-11479/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-11479/3.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-11810/3.18/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-11833/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-11884/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-14040/3.4/0001.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-14041/ANY/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-14053/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-14283/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-14821/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-14835/3.18/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-14896/3.18/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-15117/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-15213/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-15214/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-15216/3.18/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-15219/3.18/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-15239/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-15505/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-15807/3.18/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-15926/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-16233/3.18/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-16746/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-16746/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-16746/3.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-17052/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-17052/3.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-17052/3.4/0005.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-17052/3.4/0006.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-17133/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-18806/3.18/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-19051/3.18/0006.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-19051/4.4/0011.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-19051/4.4/0012.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-19066/3.18/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-19073/3.18/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-19074/3.18/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-19448/3.18/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-19524/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-19527/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-19527/3.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-19528/^5.3/0001.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-19528/^5.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-19532/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-19536/3.4/0008.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-19536/3.4/0009.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-19537/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-20054/3.18/0005.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-20054/3.18/0006.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-20096/3.18/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-20636/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-20812/3.4/0009.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2020-0009/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2020-0030/3.10/0006.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2020-0040/3.4/0002.patch
#git apply $DOS_PATCHES_LINUX_CVES/CVE-2020-0305/4.4/0005.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2020-0404/3.4/0002.patch
#git apply $DOS_PATCHES_LINUX_CVES/CVE-2020-0429/4.4/0011.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2020-0431/4.4/0005.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2020-0465/3.4/0015.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2020-0466/3.4/0015.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2020-8647/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2020-8648/3.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2020-8648/3.4/0005.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2020-8648/3.4/0006.patch
#git apply $DOS_PATCHES_LINUX_CVES/CVE-2020-8992/4.4/0005.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2020-9383/3.18/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2020-10732/3.4/0010.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2020-10773/4.4/0005.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2020-10942/3.18/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2020-11267/ANY/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2020-11267/ANY/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2020-11282/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2020-11565/3.18/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2020-12653/4.4/0005.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2020-12654/3.18/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2020-12656/4.4/0008.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2020-12770/3.18/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2020-13974/3.18/0002.patch
#git apply $DOS_PATCHES_LINUX_CVES/CVE-2020-14305/4.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2020-14314/3.18/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2020-14331/3.18/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2020-15393/3.18/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2020-15436/3.4/0008.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2020-16119/4.4/0006.patch
#git apply $DOS_PATCHES_LINUX_CVES/CVE-2020-24588/4.4/0019.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2020-24588/4.4/0020.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2020-25211/3.18/0007.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2020-25643/3.18/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2020-25669/3.18/0007.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2020-27066/3.18/0001.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2020-27068/3.4/0008.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2020-27815/3.18/0008.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2020-28974/3.18/0007.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2020-29371/3.18/0001.patch
#git apply $DOS_PATCHES_LINUX_CVES/CVE-2020-29568/4.4/0020.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2020-29661/3.0-^3.10/0008.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2020-36158/3.18/0008.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2021-0512/3.18/0001.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2021-0695/ANY/0001.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2021-0920/3.4/0008.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2021-0929/3.4/0005.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2021-0961/3.4/0006.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2021-0961/3.4/0007.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2021-1048/3.4/0007.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2021-1048/3.4/0008.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2021-3178/3.18/0008.patch
#git apply $DOS_PATCHES_LINUX_CVES/CVE-2021-3428/4.4/0013.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2021-3483/3.18/0008.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2021-3609/4.4/0006.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2021-3612/3.18/0008.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2021-3653/4.4/0006.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2021-3655/3.4/0023.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2021-3655/3.4/0024.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2021-3655/3.4/0025.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2021-3753/4.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2021-3896/4.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2021-20261/^3.15/0001.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2021-27363/3.18/0008.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2021-28713/4.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2021-28972/3.18/0007.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2021-31916/3.18/0008.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2021-34693/3.18/0008.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2021-37576/4.4/0006.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2021-39634/3.4/0008.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2021-39685/3.4/0025.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2021-42008/4.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2021-45095/4.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2021-45868/4.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2021-Misc2/3.4/0055.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2021-Misc2/3.4/0056.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2021-Misc2/3.4/0057.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2021-Misc2/3.4/0060.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2021-Misc2/3.4/0061.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2021-Misc2/3.4/0062.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2021-Misc2/3.4/0070.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2021-Misc2/3.4/0071.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2021-Misc2/3.4/0072.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2021-Misc2/3.4/0073.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2022-1353/4.4/0001.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2022-1652/4.4/0008.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2022-1836/4.4/0001.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2022-2318/4.4/0008.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2022-2663/4.4/0012.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2022-3028/4.4/0008.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2022-3111/4.4/0001.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2022-3424/4.4/0008.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2022-3542/4.4/0008.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2022-3635/4.4/0008.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2022-4378/^6.1/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2022-20132/3.4/0041.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2022-20132/3.4/0042.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2022-20132/3.4/0043.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2022-20141/3.4/0008.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2022-24958/3.4/0017.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2022-25258/3.4/0009.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2022-25375/3.4/0009.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2022-28390/4.4/0008.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2022-36280/4.4/0008.patch
#git apply $DOS_PATCHES_LINUX_CVES/CVE-2022-40768/4.4/0008.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2022-41850/4.4/0008.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2022-41858/4.4/0001.patch
#git apply $DOS_PATCHES_LINUX_CVES/CVE-2022-47929/4.4/0007.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2022-Misc2/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2022-Misc2/3.4/0004.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2022-Misc2/3.4/0008.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2023-0394/4.4/0007.patch
#git apply $DOS_PATCHES_LINUX_CVES/CVE-2023-0458/4.4/0001.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2023-1074/4.4/0007.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2023-1118/4.4/0007.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2023-1670/4.4/0008.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2023-1989/4.4/0008.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2023-23559/4.4/0007.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2023-32269/4.4/0001.patch
git apply $DOS_PATCHES_LINUX_CVES/Untracked-02/ANY/772877_0001-usb-core-Fix-use-after-free-for-hub-usb-device.patch
git apply $DOS_PATCHES_LINUX_CVES/Untracked-02/ANY/797912_0001-usb-gadget-Fix-synchronization-issue-between-f_audio.patch
git apply $DOS_PATCHES_LINUX_CVES/Untracked-02/ANY/870057_0001-wcnss-add-null-check-in-pm_ops-unregister.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2013-4592/3.4/0003.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2015-4002/3.4/0008.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-14053/3.4/0001.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2019-14053/3.4/0002.patch
git apply $DOS_PATCHES_LINUX_CVES/CVE-2022-20423/3.4/0010.patch
editKernelLocalversion "-dos.p650"
else echo "kernel_lge_hammerhead is unavailable, not patching.";
fi;
cd "$DOS_BUILD_BASE"
